//This is the original function as it appears default Blockland,
//with only the file length limit changed to 20MiB

function createMusicDatablocks()
{
	echo("--- Using large music files modified function");
	updateMusicList();
	%dir = "Add-ons/Music/*.ogg";
	%fileCount = getFileCount(%dir);
	%filename = findFirstFile(%dir);

	for(%i = 0; %i < %fileCount; %i++)
	{
		%base = fileBase(%filename);
		%uiName = strreplace(%base, "_", " ");
		%varName = getSafeVariableName(%base);

		if(!$Server::Dedicated)
		{
			if ((getRealTime() - $lastProgressBarTime) > 200)
			{
				LoadingProgress.setValue((%i / %fileCount));
				$lastProgressBarTime = getRealTime();
				Canvas.repaint();
			}
		}


		if(!isValidMusicFilename(%filename))
		{
			echo("    invalid filename: "@ %filename);
		}


		else if(getFileLength(%filename) > 1048576*20)
		{
			error("ERROR: Music file \"" @ %filename @ "\" > 20mb - ignoring");
		}

		else if($Music__[%varName] $= "1")
		{
			%dbName = "musicData_"@ %varName;
			%command = "datablock AudioProfile(" @ %dbName @ ") {" @ "filename = \"" @ %filename @ "\";" @ "description = AudioMusicLooping3d;" @ "preload = true;" @ "uiName = \"" @ %uiName @ "\";" @ "};";
			eval(%command);

			if(%dbName.isStereo())
			{
				error("ERROR: Stereo sound detected on \"" @ %dbName.getName() @ "\" - Removing datablock.");
				schedule(1000, 0, MessageAll, '', "Stereo sound detected on  \"" @ fileName(%dbName.fileName) @ "\" - Removing datablock.");
				%dbName.uiName = "";
				%dbName.delete();

				if(getBuildString() $= "Ship")
					fileDelete(%filename);

				else
					warning("WARNING: \'" @ %filename @ "\' is a stereo music block and would be deleted if this was the public build!");
			}
		}

		%filename = findNextFile(%dir);
	}
}